RDKit: DistGeom::FourthDimContribs Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DistGeom::FourthDimContribs Class Reference

`#include <FourthDimContribs.h>`

Inheritance diagram for DistGeom::FourthDimContribs:

## Public Member Functions
| FourthDimContribs ()=default
| FourthDimContribs (ForceFields::ForceField *owner)
| Constructor.
void | addContrib (unsigned int idx, double weight)
double | getEnergy (double *pos) const override
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const override
FourthDimContribs * | copy () const override
| return a copy
bool | empty () const
unsigned int | size () const
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

A term used in penalizing the 4th dimension in order to move from 4D->3D

Definition at line 29 of file FourthDimContribs.h.

## Constructor & Destructor Documentation

## ◆ FourthDimContribs() [1/2]

DistGeom::FourthDimContribs::FourthDimContribs | ( |  | ) |
| default

Referenced by copy().

## ◆ FourthDimContribs() [2/2]

DistGeom::FourthDimContribs::FourthDimContribs | ( | ForceFields::ForceField * | owner | ) |
| inline

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx | the index of the atom to be considered
  weight | (optional) the weight to be used for this contrib

Definition at line 41 of file FourthDimContribs.h.

References ForceFields::ForceField::dimension(), ForceFields::ForceFieldContrib::dp_forceField, and PRECONDITION.

## Member Function Documentation

## ◆ addContrib()

void DistGeom::FourthDimContribs::addContrib | ( | unsigned int | idx,
|  | double | weight )
| inline

Definition at line 47 of file FourthDimContribs.h.

## ◆ copy()

FourthDimContribs * DistGeom::FourthDimContribs::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 73 of file FourthDimContribs.h.

References FourthDimContribs().

## ◆ empty()

bool DistGeom::FourthDimContribs::empty | ( |  | ) | const
| inline

Definition at line 76 of file FourthDimContribs.h.

## ◆ getEnergy()

double DistGeom::FourthDimContribs::getEnergy | ( | double * | pos | ) | const
| inlineoverridevirtual

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

Definition at line 52 of file FourthDimContribs.h.

References PRECONDITION.

## ◆ getGrad()

void DistGeom::FourthDimContribs::getGrad | ( | double * | pos,
|  | double * | grad ) const
| inlineoverridevirtual

calculate the contribution of this contrib to the gradient at a given state

Implements ForceFields::ForceFieldContrib.

Definition at line 65 of file FourthDimContribs.h.

References PRECONDITION.

## ◆ size()

unsigned int DistGeom::FourthDimContribs::size | ( |  | ) | const
| inline

Definition at line 77 of file FourthDimContribs.h.

The documentation for this class was generated from the following file:

- FourthDimContribs.h